Subject: SC 22 N 3572 - JTC 1/SC 22 Chairman's Contribution to Linux Study Group Meeting

From: Matthew Deane <[email-masked]>
Date: Mon, 28 Apr 2003 14:53:00 -0400

ISO/IEC JTC 1/SC22
Programming languages, their environments and system software interfaces
Secretariat:  U.S.A.  (ANSI)

ISO/IEC JTC 1/SC 22 N3572
 
TITLE: 
JTC 1/SC 22 Chairman's Contribution to Linux Study Group Meeting

DATE ASSIGNED: 
2003-04-28
 
SOURCE: 
JTC 1/SC 22 Chairman 

BACKWARD POINTER: 

DOCUMENT TYPE: 
Other document (open) 

PROJECT NUMBER: 
N/A 

STATUS: 
This contribution will be reviewed at the Linux Study Group meeting, 28-30
May 2003, London, UK. 

ACTION IDENTIFIER: 
FYI 

DUE DATE: 
N/A 

DISTRIBUTION: 
Text 

CROSS REFERENCE: 
N/A 

DISTRIBUTION FORM: 
Open 

Address reply to: 
ISO/IEC JTC 1/SC22 Secretariat 
Matt Deane 
ANSI 
25 West 43rd Street 
New York, NY  10036 
Telephone:  (212) 642-4992 
Fax:             (212) 840-2298 
Email:  [email-masked] 

____end of cover page, beginning of document__________ 

To:		JTC 1/SC 22
From:		John L. Hill, Chairman
Subject:	Thoughts: Linux Study Group

As you know, our meeting will take place 28-30 May near London, thanks to
the British Standards Institution. Having studied the input documents, I
offer these thoughts.

This meeting is exploratory in nature. We need to maintain our typical,
positive, open mindedness in searching out the possibilities for JTC 1's
development of Linux standards.  I view our meeting as somewhat of a mining
activity. Is there use for the ore? Is the ore rich enough to mine? How do
we go about mining?

Our assignment is to do what JTC 1 assigned us to do in their Resolution 11
from their meeting in November, 2002. Specifically that is:
		JTC 1 asks SC 22 to:
				1.	Accept nominations from JTC 1
National Bodies and other SCs, as well as Liaison Organizations and JTC 1
Recognized PAS Submitters, for participation in the Study Group.
				2.	Assess how its present activities
are relevant to the LINUX Operating System market.
				3.	Assess how the activities of the
Free Standard Group and other organization may be of interest with SC 22
mandate.
				4.	Initiate, if it judges it necessary,
activities to increase the relevance of its work program to the LINUX
Operating System market, as per the JTC 1 Directives.
				5.	Report on its activities to the next
JTC 1 Plenary in 2003 in Singapore.

We have already succeeded in accomplishing item 1. Items 2, 3, and 4 are on
our agenda. Finally, item 5 is for me to do following the meeting.
		*	We have received no contributions exclusively on
item 2. However, several contributions touch on the subject.
		*	On item 3, we have presentations from the Free
Standards Group, and from The Open Group Plus, we have representation at the
meeting from several organizations allied to Linux in some way.
		*	Item 4 is the output from the meeting.

I have prepared a few questions that may help us prepare for the meeting:
		1.	What is the target level of portability? (e.g.,
machine code, intermediate code, source code)
		2.	What relationship does POSIX have to Linux?
		3.	What size is the core that is common to POSIX and
Linux? If so, can we standardize that core?
		4.	Is there some way to standardize the distribution
format so that Linux applications are easily installed?
		5.	Is there some way to standardize distribution of
patches?